<?php

namespace App\Http\Controllers\Owner\CommercialInvoice\Dto;

class CommercialInvoiceListDTO
{

    public static function validateData()
    {
        return [
            'Id_Booking' => 'nullable|int',
            'Id_BookingUpgradePassenger' => 'nullable|int',
            'Id_BookingExtraPassenger' => 'nullable|int',
        ];
    }

    public function __construct(
        public ?int $Id_Booking,
        public ?int $Id_BookingUpgradePassenger = null,
        public ?int $Id_BookingExtraPassenger = null
    ) {}
}
